Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::ColorType Class Reference

`#include <PropertyTypes.h>`

Inheritance diagram for tlp::ColorType:
[legend]
Collaboration diagram for tlp::ColorType:
[legend]

List of all members.

## Static Public Member Functions

- static RealType undefinedValue ()
- static void write (std::ostream &, const RealType &)
- static bool read (std::istream &, RealType &)
- static std::string toString (const RealType &v)
- static bool fromString (RealType &v, const std::string &s)

## Member Function Documentation

static bool tlp::ColorType::fromString | ( | RealType & | v,
|  | const std::string & | s
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Color >.

static bool tlp::ColorType::read | ( | std::istream & | ,
|  | RealType & |
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Color >.

static std::string tlp::ColorType::toString | ( | const RealType & | v | ) | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Color >.

static RealType tlp::ColorType::undefinedValue | ( |  | ) | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Color >.

static void tlp::ColorType::write | ( | std::ostream & | ,
|  | const RealType & |
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Color >.

Tulip Software by LaBRI Visualization Team 2001 - 2012